using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEditor;


[CustomEditor(typeof(Game))]
public partial class GameInspector : Editor
{
    private int stage;
    public override void OnInspectorGUI()
    {
        base.OnInspectorGUI();
        
        Game _this = target as Game;

        if (_this.user != null)
        {
            EditorGUILayout.LongField($"id", _this.user.id);
            EditorGUILayout.TextField($"name: {_this.user.name}");
            EditorGUILayout.IntField($"diamond" ,_this.user.diamond);
        }
       
    }
}
